세그먼트
GET https://pushye.com/api/segments/
curl --request GET \
--url 'https://pushye.com/api/segments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/segments/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: name. |
| website_id | 선택 사항 정수 | |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: segment_id, datetime, last_datetime, name, total_subscribers. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"settings": {
"subscribers_ids": [1,2,3,4,5]
},
"type": "custom",
"total_subscribers": 5,
"last_datetime": null,
"datetime": "2026-04-28 17:02:14",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/segments?page=1",
"last": "https://pushye.com/api/segments?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/segments?page=1"
}
}
GET https://pushye.com/api/segments/{segment_id}
curl --request GET \
--url 'https://pushye.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"settings": {
"subscribers_ids": [1,2,3,4,5]
},
"type": "filter",
"total_subscribers": 5,
"last_datetime": null,
"datetime": "2026-04-28 17:02:14",
}
}
POST https://pushye.com/api/segments
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| website_id | 필수 정수 | - |
| name | 필수 문자열 | - |
| type | 선택 사항 문자열 | 허용된 값: custom, filter |
| subscribers_ids | 선택 사항 문자열 | 사용 가능 시: segment = custom |
| filters_custom_parameter_key[index] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_custom_parameter_condition[index] | 선택 사항 문자열 |
허용된 값: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than 사용 가능 시: segment = filter |
| filters_custom_parameter_value[index] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_datetime_condition | 선택 사항 문자열 | 사용 가능 시: segment = filter within_last, older_than |
| filters_datetime_value | 선택 사항 정수 | 사용 가능 시: segment = filter 일수 |
| filters_last_datetime_condition | 선택 사항 문자열 | 사용 가능 시: segment = filter within_last, older_than |
| filters_last_datetime_value | 선택 사항 정수 | 사용 가능 시: segment = filter 일수 |
| filters_last_seen_online_datetime_condition | 선택 사항 문자열 | 사용 가능 시: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | 선택 사항 정수 | 사용 가능 시: segment = filter 일수 |
| filters_last_sent_datetime_condition | 선택 사항 문자열 | 사용 가능 시: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | 선택 사항 정수 | 사용 가능 시: segment = filter 일수 |
| filters_subscribed_on_url | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_cities | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_countries[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_continents[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_device_type[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_languages[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_operating_systems[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_browsers[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
curl --request POST \
--url 'https://pushye.com/api/segments' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
--url 'https://pushye.com/api/segments' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/segments/{segment_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| website_id | 선택 사항 정수 | - |
| name | 선택 사항 문자열 | - |
| type | 선택 사항 문자열 | 허용된 값: custom, filter |
| subscribers_ids | 선택 사항 문자열 | 사용 가능 시: segment = custom |
| filters_custom_parameter_key[index] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_custom_parameter_condition[index] | 선택 사항 문자열 |
허용된 값: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than 사용 가능 시: segment = filter |
| filters_custom_parameter_value[index] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_datetime_condition | 선택 사항 문자열 | 사용 가능 시: segment = filter within_last, older_than |
| filters_datetime_value | 선택 사항 정수 | 사용 가능 시: segment = filter 일수 |
| filters_last_datetime_condition | 선택 사항 문자열 | 사용 가능 시: segment = filter within_last, older_than |
| filters_last_datetime_value | 선택 사항 정수 | 사용 가능 시: segment = filter 일수 |
| filters_last_seen_online_datetime_condition | 선택 사항 문자열 | 사용 가능 시: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | 선택 사항 정수 | 사용 가능 시: segment = filter 일수 |
| filters_last_sent_datetime_condition | 선택 사항 문자열 | 사용 가능 시: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | 선택 사항 정수 | 사용 가능 시: segment = filter 일수 |
| filters_subscribed_on_url | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_cities | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_countries[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_continents[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_device_type[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_languages[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_operating_systems[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
| filters_browsers[] | 선택 사항 문자열 | 사용 가능 시: segment = filter |
curl --request POST \
--url 'https://pushye.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
--url 'https://pushye.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/segments/{segment_id}
curl --request DELETE \
--url 'https://pushye.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \